/*
 * Class TYPE [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2129 [] = {0xFF01,1551,2128,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2129 [] = {0xFF01,2128,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2129 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2129 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2129 [] = {0xFF01,2128,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2129 [] = {0xFF01,2128,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2129 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2129 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2129 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2129 [] = {2128,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2129 [] = {0xFF01,2128,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2129 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2129 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2129 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2129 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2129 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2129 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2129 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2129 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2129 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2129 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2129 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2129[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2129), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2129), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2129), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2129), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2129), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2129), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2129), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2129), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2129), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2129), 20416, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2129), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2129), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2129), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2129), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20409, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20410, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2129), 20400, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2129), 20401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20405, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20407, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2129), 20411, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2129), 20412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2129), 20413, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2129), 20414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2129), 20415, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2129), 20418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20420, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2129), 20421, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2129), 20422, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2129), 20423, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2129), 20424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 20425, 0},
	{EIF_GENERIC(egt_26_2129), 20426, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2129), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2129), 20417, 0xFFFFFFFF},
};
void Init2129(void)
{
	IDSC(desc_2129, 0, 2128);
	IDSC(desc_2129 + 1, 1, 2128);
	IDSC(desc_2129 + 32, 700, 2128);
	IDSC(desc_2129 + 34, 1459, 2128);
	IDSC(desc_2129 + 38, 11, 2128);
	IDSC(desc_2129 + 60, 224, 2128);
}


#ifdef __cplusplus
}
#endif
